## cpuid 3.3

=== Makefile ===
CFLAGS=-O2 -Wall

cpuid: cpuid.o
	gcc -o $@ $^

clean:
	rm -f *.o cpuid

## cpuid 20130610

=== Makefile ===
CFLAGS=-g
ifneq (,$(findstring arch=i386,$(CFLAGS)))
CISA=-m32
endif
CFL=$(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)

PACKAGE=cpuid
VERSION=20130610
RELEASE=1

PROG=$(PACKAGE)

SRC_TAR=$(PACKAGE)-$(VERSION).src.tar.gz
i386_TAR=$(PACKAGE)-$(VERSION).i386.tar.gz
x86_64_TAR=$(PACKAGE)-$(VERSION).x86_64.tar.gz
TARS=$(SRC_TAR) $(i386_TAR) $(x86_64_TAR)
SRC_RPM=$(PACKAGE)-$(VERSION)-$(RELEASE).src.rpm
i386_RPM=$(PACKAGE)-$(VERSION)-$(RELEASE).i386.rpm
x86_64_RPM=$(PACKAGE)-$(VERSION)-$(RELEASE).x86_64.rpm
RPMS=$(SRC_RPM) $(i386_RPM) $(x86_64_RPM)
i386_DEBUG_RPM=$(PACKAGE)-debuginfo-$(VERSION)-$(RELEASE).i386.rpm
x86_64_DEBUG_RPM=$(PACKAGE)-debuginfo-$(VERSION)-$(RELEASE).x86_64.rpm
DEBUG_RPMS=$(i386_DEBUG_RPM) $(x86_64_DEBUG_RPM)

SRCS=cpuid.c

OTHER_SRCS=Makefile $(PROG).man $(PACKAGE).proto.spec $(PACKAGE).spec \
           ChangeLog FUTURE LICENSE
OTHER_BINS=$(PROG).man

REL_DIR=../$(shell date +%Y-%m-%d)
WEB_DIR=/toad2/apps.mine/www/www/$(PROG)

BUILDROOT=

default: $(PROG) $(PROG).man.gz

$(PROG): cpuid.c Makefile
	$(CC) $(CFL) -o $@ cpuid.c

$(PROG).man.gz: $(PROG).man
	gzip < $< > $@

install: $(PROG) $(PROG).man.gz
	install -D -s -m 755 $(PROG)        $(BUILDROOT)/usr/bin/$(PROG)
	install -D    -m 444 $(PROG).man.gz $(BUILDROOT)/usr/share/man/man1/$(PROG).1.gz

clean:
	rm -f $(PROG) $(PROG).i386 $(PROG).x86_64
	rm -f $(PACKAGE).spec $(PROG).man.gz
	rm -f $(TARS)
	rm -f $(RPMS)
	rm -f $(DEBUG_RPMS)

# Todd's Development rules

$(PROG).i386: cpuid.c Makefile
	$(CC) -m32 $(CFL) -o $@ cpuid.c

$(PROG).x86_64: cpuid.c Makefile
	$(CC) -m64 $(CFL) -o $@ cpuid.c

todd: $(PROG).i386 $(PROG).x86_64
	rm -f ~/.bin/execs/i586/$(PROG)
	rm -f ~/.bin/execs/x86_64/$(PROG)
	cp -p $(PROG).i386   ~/.bin/execs/i586/$(PROG)
	cp -p $(PROG).x86_64 ~/.bin/execs/x86_64/$(PROG)
	chmod 777 ~/.bin/execs/i586/$(PROG)
	chmod 777 ~/.bin/execs/x86_64/$(PROG)
	(cd ~/.bin/execs; prop i586/$(PROG) x86_64/$(PROG))

# Release rules

$(PACKAGE).spec: $(PACKAGE).proto.spec
	@(echo "%define version $(VERSION)"; \
	  echo "%define release $(RELEASE)"; \
	  cat $<) > $@

$(SRC_TAR): $(SRCS) $(OTHER_SRCS)
	@echo "Tarring source"
	@rm -rf $(PACKAGE)-$(VERSION)
	@mkdir $(PACKAGE)-$(VERSION)
	@ls -1d $(SRCS) $(OTHER_SRCS) | cpio -pdmuv $(PACKAGE)-$(VERSION)
	@tar cvf - $(PACKAGE)-$(VERSION) | gzip -c >| $(SRC_TAR)
	@rm -rf $(PACKAGE)-$(VERSION)

$(i386_TAR): $(PROG).i386 $(OTHER_BINS)
	@echo "Tarring i386 binary"
	@rm -rf $(PACKAGE)-$(VERSION)
	@mkdir $(PACKAGE)-$(VERSION)
	@ls -1d $(PROG).i386 $(OTHER_BINS) | cpio -pdmuv $(PACKAGE)-$(VERSION)
	@mv $(PACKAGE)-$(VERSION)/$(PROG).i386 $(PACKAGE)-$(VERSION)/$(PROG)
	@(cd $(PACKAGE)-$(VERSION); strip $(PROG))
	@tar cvf - $(PACKAGE)-$(VERSION) | gzip -c >| $(i386_TAR)
	@rm -rf $(PACKAGE)-$(VERSION)

$(x86_64_TAR): $(PROG).x86_64 $(OTHER_BINS)
	@echo "Tarring x86_64 binary"
	@rm -rf $(PACKAGE)-$(VERSION)
	@mkdir $(PACKAGE)-$(VERSION)
	@ls -1d $(PROG).x86_64 $(OTHER_BINS) | cpio -pdmuv $(PACKAGE)-$(VERSION)
	@mv $(PACKAGE)-$(VERSION)/$(PROG).x86_64 $(PACKAGE)-$(VERSION)/$(PROG)
	@(cd $(PACKAGE)-$(VERSION); strip $(PROG))
	@tar cvf - $(PACKAGE)-$(VERSION) | gzip -c >| $(x86_64_TAR)
	@rm -rf $(PACKAGE)-$(VERSION)

tar tars: $(TARS)

$(i386_RPM) $(i386_DEBUG_RPM) $(SRC_RPM): $(SRC_TAR) $(PACKAGE).spec
	@echo "Building i386 RPMs"
	@rm -rf build
	@mkdir build
	@rpmbuild -ba --target i386 \
	          --buildroot "${PWD}/build" \
	          --define "_builddir ${PWD}/build" \
	          --define "_rpmdir ${PWD}" \
	          --define "_srcrpmdir ${PWD}" \
	          --define "_sourcedir ${PWD}" \
	          --define "_specdir ${PWD}" \
	          --define "__check_files ''" \
	          --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
	          $(PACKAGE).spec
	@rm -rf build

$(x86_64_RPM) $(x86_64_DEBUG_RPM): $(SRC_TAR) $(PACKAGE).spec
	@echo "Building x86_64 RPMs"
	@rm -rf build
	@mkdir build
	@rpmbuild -ba --target x86_64 \
	          --buildroot "${PWD}/build" \
	          --define "_builddir ${PWD}/build" \
	          --define "_rpmdir ${PWD}" \
	          --define "_srcrpmdir ${PWD}" \
	          --define "_sourcedir ${PWD}" \
	          --define "_specdir ${PWD}" \
	          --define "__check_files ''" \
	          --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
	          $(PACKAGE).spec
	@rm -rf build

rpm rpms: $(RPMS)

# Todd's release rules

release: $(PROG) $(PROG).i386 $(PROG).x86_64 $(TARS) $(RPMS)
	if [ -d $(REL_DIR) ]; then                         \
	   echo "Makefile: $(REL_DIR) already exists" >&2; \
	   exit 1;                                         \
	fi
	mkdir $(REL_DIR)
	cp -p $(PROG) $(PROG).i386 $(PROG).x86_64 $(SRCS) $(OTHER_SRCS) $(REL_DIR)
	mv $(TARS) $(RPMS) $(REL_DIR)
	if [ -e $(i386_DEBUG_RPM) ]; then   \
	   mv $(i386_DEBUG_RPM) $(REL_DIR); \
	fi
	if [ -e $(x86_64_DEBUG_RPM) ]; then  \
	   mv $(x86_64_DEBUG_RPM) $(REL_DIR); \
	fi
	chmod -w $(REL_DIR)/*
	cp -f -p $(REL_DIR)/*.tar.gz $(REL_DIR)/*.rpm $(WEB_DIR)
	rm -f $(PACKAGE).spec

rerelease:
	rm -rf $(REL_DIR)
	$(MAKE) -$(MAKEFLAGS) release

=== debian/changelog ===
cpuid (20130610-2) unstable; urgency=low

  * Disable the --kernel option on non-Linux (Closes: #720164)
  * Use sched_setaffinity(2) instead of direct syscall(__NR_sched_setaffinity)
  * Build on Linux and kFreeBSD only

 -- Andrey Rahmatullin <wrar@wrar.name>  Wed, 21 Aug 2013 00:54:11 +0600

cpuid (20130610-1) unstable; urgency=low

  * Adopt the package (Closes: #677764)
  * Replace the 11-year old software from http://www.ka9q.net/code/cpuid/ with
    a maintained one from http://www.etallen.com/cpuid.html supporting newer
    hardware (Closes: #596110, #590168, #606838, #692799)
  * Do all packaging from scratch
    + Add a Homepage: field (Closes: #615380)

 -- Andrey Rahmatullin <wrar@wrar.name>  Mon, 19 Aug 2013 00:52:20 +0600

cpuid (3.3-9) unstable; urgency=low

  * New maintainer. (Closes: #394729)
  * Build-Depends on debhelper (>= 4).
  * Update Standards-Version to 3.7.2.
  * Remove netbsd-i386 from the Architecture field.
  * Rework the package description and add upstream homepage.
  * Fix broken manpage.
  * Conform to policy by using "-O2 -g -Wall" as CFLAGS.
  * Add dpatch support.
  * Add debian/watch file.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Mon, 23 Oct 2006 01:57:33 +0200

cpuid (3.3-8) unstable; urgency=low

  * orphaning the package

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Mon, 23 Oct 2006 00:09:56 +0530

cpuid (3.3-7) unstable; urgency=low

  * Added kfreebsd-amd64 to supported architectures.
  (closes: #361627)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 16 Apr 2006 00:20:00 +0530

cpuid (3.3-6) unstable; urgency=low

  * Removed reference to non-existant Info documentation from the
    man page. (closes: #348396)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat,  1 Apr 2006 08:20:57 +0530

cpuid (3.3-5) unstable; urgency=low

  * Fixed the copyright file. The copyright holder was not listed
    and instead the license was mentioned in the place of copyright
    holder.
    (closes: #323654)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat,  4 Mar 2006 20:28:03 +0530

cpuid (3.3-4) unstable; urgency=low

  * This release has changes only in the debian related files and
    do not have any change in functionality. As the last changelog 
    entry lacked clear explanation of the bugs, those were reopened 
    and here I am again closing those bugs (with explanation, of 
    course!).
  
  * Added amd64 to the supported architectures (closes: #252772)
  * Corrected the upstream homepage URL in the copyright file
    (closes: #188002)
  * Added other supported GNU/non-Linux systems like GNU/Hurd, 
    GNU/kfreeBSD etc to the Architecture list (closes: #260144)
  * Changed maintainer field to my full name so that it is not
    detected as NMU! 

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 26 Sep 2004 14:35:46 +0530

cpuid (3.3-3) unstable; urgency=low

  *  (closes: #252772)
  *  (closes: #188002)
  *  (closes: #260144)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat, 25 Sep 2004 16:29:02 +0530

cpuid (3.3-2) unstable; urgency=low

  * Changed the brief useless description to a longer 
    one with more details. (Closes: #135309)

 -- Ramakrishnan M <rkrishnan@debian.org>  Sat, 16 Mar 2002 10:01:08 +0530

cpuid (3.3-1) unstable; urgency=low

  * Initial Release.
    (Closes: #134787)
  
 -- Ramakrishnan M <rkrishnan@debian.org>  Tue, 19 Feb 2002 19:02:48 +0530

=== debian/control ===
Source: cpuid
Section: admin
Priority: optional
Maintainer: Andrey Rahmatullin <wrar@wrar.name>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/cpuid.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cpuid.git;a=summary
Homepage: http://www.etallen.com/cpuid.html

Package: cpuid
Architecture: linux-i386 linux-amd64 kfreebsd-i386 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to dump x86 CPUID information about the CPU(s)
 cpuid dumps detailed information about the CPU(s) gathered from the
 CPUID instruction, and also determines the exact model of CPU(s). It
 supports Intel, AMD, and VIA CPUs, as well as older Transmeta, Cyrix,
 UMC, NexGen, Rise, and SiS CPUs.

## cpuid 20140123

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFL=$(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 
 PACKAGE=cpuid
-VERSION=20130610
+VERSION=20140123
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20140123-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version: to 3.9.5 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Thu, 06 Feb 2014 23:01:11 +0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@wrar.name>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/cpuid.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cpuid.git;a=summary
 Homepage: http://www.etallen.com/cpuid.html

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:

## cpuid 20150606

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
-CFLAGS=-g
+CFLAGS+=-g
+CPPFLAGS?=
+LDFLAGS?=
 ifneq (,$(findstring arch=i386,$(CFLAGS)))
 CISA=-m32
 endif
-CFL=$(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
+CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 
 PACKAGE=cpuid
-VERSION=20140123
+VERSION=20150606
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -36,7 +38,7 @@
 default: $(PROG) $(PROG).man.gz
 
 $(PROG): cpuid.c Makefile
-	$(CC) $(CFL) -o $@ cpuid.c
+	$(CC) $(CFL) $(LDFLAGS) -o $@ cpuid.c
 
 $(PROG).man.gz: $(PROG).man
 	gzip < $< > $@
@@ -55,10 +57,10 @@
 # Todd's Development rules
 
 $(PROG).i386: cpuid.c Makefile
-	$(CC) -m32 $(CFL) -o $@ cpuid.c
+	$(CC) -m32 -Wl,--hash-style=both $(CFL) $(LDFLAGS) -o $@ cpuid.c
 
 $(PROG).x86_64: cpuid.c Makefile
-	$(CC) -m64 $(CFL) -o $@ cpuid.c
+	$(CC) -m64 $(CFL) $(LDFLAGS) -o $@ cpuid.c
 
 todd: $(PROG).i386 $(PROG).x86_64
 	rm -f ~/.bin/execs/i586/$(PROG)
@@ -103,6 +105,8 @@
 	@(cd $(PACKAGE)-$(VERSION); strip $(PROG))
 	@tar cvf - $(PACKAGE)-$(VERSION) | gzip -c >| $(x86_64_TAR)
 	@rm -rf $(PACKAGE)-$(VERSION)
+
+src_tar: $(SRC_TAR)
 
 tar tars: $(TARS)

=== debian/changelog ===
cpuid (20150606-1) unstable; urgency=medium

  * New upstream version
  * Simplify the Architecture: field (Closes: #761866)
  * Bump Standards-Version: to 3.9.6 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 24 Aug 2015 23:10:08 +0500

cpuid (20140123-2) unstable; urgency=medium

  * Add hurd-i386 to the Architecture field (Closes: #745515)
  * Set --one-cpu as default on Hurd (patch by Svante Signell)

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 14 Aug 2014 02:04:26 +0600

## cpuid 20151017

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 
 PACKAGE=cpuid
-VERSION=20150606
+VERSION=20151017
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20151017-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 14 Nov 2015 23:46:43 +0500

=== debian/control ===
Source: cpuid
Section: admin
Priority: optional
Maintainer: Andrey Rahmatullin <wrar@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/cpuid.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cpuid.git;a=summary
Homepage: http://www.etallen.com/cpuid.html

Package: cpuid
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to dump x86 CPUID information about the CPU(s)
 cpuid dumps detailed information about the CPU(s) gathered from the
 CPUID instruction, and also determines the exact model of CPU(s). It
 supports Intel, AMD, and VIA CPUs, as well as older Transmeta, Cyrix,
 UMC, NexGen, Rise, and SiS CPUs.

## cpuid 20160814

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 
 PACKAGE=cpuid
-VERSION=20151017
+VERSION=20160814
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -26,16 +26,17 @@
 
 SRCS=cpuid.c
 
-OTHER_SRCS=Makefile $(PROG).man $(PACKAGE).proto.spec $(PACKAGE).spec \
+OTHER_SRCS=Makefile $(PROG).man cpuinfo2cpuid \
+           $(PACKAGE).proto.spec $(PACKAGE).spec \
            ChangeLog FUTURE LICENSE
-OTHER_BINS=$(PROG).man
+OTHER_BINS=$(PROG).man cpuinfo2cpuid.man
 
 REL_DIR=../$(shell date +%Y-%m-%d)
 WEB_DIR=/toad2/apps.mine/www/www/$(PROG)
 
 BUILDROOT=
 
-default: $(PROG) $(PROG).man.gz
+default: $(PROG) $(PROG).man.gz cpuinfo2cpuid cpuinfo2cpuid.man.gz
 
 $(PROG): cpuid.c Makefile
 	$(CC) $(CFL) $(LDFLAGS) -o $@ cpuid.c
@@ -43,16 +44,29 @@
 $(PROG).man.gz: $(PROG).man
 	gzip < $< > $@
 
-install: $(PROG) $(PROG).man.gz
-	install -D -s -m 755 $(PROG)        $(BUILDROOT)/usr/bin/$(PROG)
-	install -D    -m 444 $(PROG).man.gz $(BUILDROOT)/usr/share/man/man1/$(PROG).1.gz
+cpuinfo2cpuid.man: cpuinfo2cpuid Makefile
+	pod2man -r "$(VERSION)" -c "" $< > $@
+
+cpuinfo2cpuid.man.gz: cpuinfo2cpuid.man
+	gzip < $< > $@
+
+install: $(PROG) $(PROG).man.gz cpuinfo2cpuid cpuinfo2cpuid.man.gz
+	install -D -s -m 755 $(PROG)              $(BUILDROOT)/usr/bin/$(PROG)
+	install -D    -m 444 $(PROG).man.gz       $(BUILDROOT)/usr/share/man/man1/$(PROG).1.gz
+	install -D    -m 755 cpuinfo2cpuid        $(BUILDROOT)/usr/bin/cpuinfo2cpuid
+	install -D    -m 444 cpuinfo2cpuid.man.gz $(BUILDROOT)/usr/share/man/man1/cpuinfo2cpuid.1.gz
 
 clean:
 	rm -f $(PROG) $(PROG).i386 $(PROG).x86_64
-	rm -f $(PACKAGE).spec $(PROG).man.gz
+	rm -f $(PROG).man.gz
+	rm -f cpuinfo2cpuid.man cpuinfo2cpuid.man.gz
+	rm -f $(PACKAGE).spec
 	rm -f $(TARS)
 	rm -f $(RPMS)
 	rm -f $(DEBUG_RPMS)
+	rm -f $(PACKAGE)-*.src.tar.gz $(PACKAGE)-*.i386.tar.gz $(PACKAGE)-*.x86_64.tar.gz
+	rm -f $(PACKAGE)-*.src.rpm $(PACKAGE)-*.i386.rpm $(PACKAGE)-*.x86_64.rpm
+	rm -f $(PACKAGE)-debuginfo-*.i386.rpm $(PACKAGE)-debuginfo-*.x86_64.rpm
 
 # Todd's Development rules

=== debian/changelog ===
cpuid (20160814-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version: to 3.9.8 (no change needed)
  * Fix Vcs-* URLs
  * Enable all hardening options

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 21 Aug 2016 16:45:13 +0500

=== debian/control ===
Source: cpuid
Section: admin
Priority: optional
Maintainer: Andrey Rahmatullin <wrar@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/cpuid.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cpuid.git
Homepage: http://www.etallen.com/cpuid.html

Package: cpuid
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: tool to dump x86 CPUID information about the CPU(s)
 cpuid dumps detailed information about the CPU(s) gathered from the
 CPUID instruction, and also determines the exact model of CPU(s). It
 supports Intel, AMD, and VIA CPUs, as well as older Transmeta, Cyrix,
 UMC, NexGen, Rise, and SiS CPUs.

## cpuid 20161114

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 
 PACKAGE=cpuid
-VERSION=20160814
+VERSION=20161114
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20161114-1) unstable; urgency=medium

  * New upstream version
  * Switch to debhelper compat level 10

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 19 Nov 2016 19:58:43 +0500

## cpuid 20161201

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 
 PACKAGE=cpuid
-VERSION=20161114
+VERSION=20161201
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20161201-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 09 Dec 2016 21:24:48 +0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/cpuid.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cpuid.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- BUILDROOT=$(CURDIR)/debian/cpuid

## cpuid 20170122

=== debian/changelog ===
cpuid (20170122-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version: to 4.0.0 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 25 Jun 2017 01:06:41 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/cpuid.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cpuid.git
 Homepage: http://www.etallen.com/cpuid.html

=== debian/watch ===
version=3
http://www.etallen.com/cpuid/cpuid-([0-9.]*).src.tar.gz

## cpuid 20180419

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 
 PACKAGE=cpuid
-VERSION=20161201
+VERSION=20180419
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20180419-1) unstable; urgency=medium

  * New upstream version
  * Switch to the debhelper compat level 11
  * Set Rules-Requires-Root: no
  * Update the format URL scheme and the copyright years in debian/copyright
  * Bump Standards-Version: to 4.1.4 (no other changes needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 30 Apr 2018 18:35:19 +0500

## cpuid 20180519

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 
 PACKAGE=cpuid
-VERSION=20180419
+VERSION=20180519
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20180519-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 23 May 2018 14:48:13 +0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cpuid.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cpuid.git
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/debian/cpuid.git
+Vcs-Browser: https://salsa.debian.org/debian/cpuid
 Homepage: http://www.etallen.com/cpuid.html
+Rules-Requires-Root: no
 
 Package: cpuid
 Architecture: any-i386 any-amd64

## cpuid 20200122

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,11 @@
 ifneq (,$(findstring arch=i386,$(CFLAGS)))
 CISA=-m32
 endif
-CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
+CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wextra -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wimplicit-fallthrough -Wunused-parameter -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
+INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20180519
+VERSION=20200122
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -23,6 +24,9 @@
 i386_DEBUG_RPM=$(PACKAGE)-debuginfo-$(VERSION)-$(RELEASE).i386.rpm
 x86_64_DEBUG_RPM=$(PACKAGE)-debuginfo-$(VERSION)-$(RELEASE).x86_64.rpm
 DEBUG_RPMS=$(i386_DEBUG_RPM) $(x86_64_DEBUG_RPM)
+i386_DEBUGSOURCE_RPM=$(PACKAGE)-debugsource-$(VERSION)-$(RELEASE).i386.rpm
+x86_64_DEBUGSOURCE_RPM=$(PACKAGE)-debugsource-$(VERSION)-$(RELEASE).x86_64.rpm
+DEBUGSOURCE_RPMS=$(i386_DEBUGSOURCE_RPM) $(x86_64_DEBUGSOURCE_RPM)
 
 SRCS=cpuid.c
 
@@ -51,10 +55,10 @@
 	gzip < $< > $@
 
 install: $(PROG) $(PROG).man.gz cpuinfo2cpuid cpuinfo2cpuid.man.gz
-	install -D -s -m 755 $(PROG)              $(BUILDROOT)/usr/bin/$(PROG)
-	install -D    -m 444 $(PROG).man.gz       $(BUILDROOT)/usr/share/man/man1/$(PROG).1.gz
-	install -D    -m 755 cpuinfo2cpuid        $(BUILDROOT)/usr/bin/cpuinfo2cpuid
-	install -D    -m 444 cpuinfo2cpuid.man.gz $(BUILDROOT)/usr/share/man/man1/cpuinfo2cpuid.1.gz
+	install -D $(INSTALL_STRIP) -m 755 $(PROG) $(BUILDROOT)/usr/bin/$(PROG)
+	install -D -m 444 $(PROG).man.gz       $(BUILDROOT)/usr/share/man/man1/$(PROG).1.gz
+	install -D -m 755 cpuinfo2cpuid        $(BUILDROOT)/usr/bin/cpuinfo2cpuid
+	install -D -m 444 cpuinfo2cpuid.man.gz $(BUILDROOT)/usr/share/man/man1/cpuinfo2cpuid.1.gz
 
 clean:
 	rm -f $(PROG) $(PROG).i386 $(PROG).x86_64
@@ -64,6 +68,7 @@
 	rm -f $(TARS)
 	rm -f $(RPMS)
 	rm -f $(DEBUG_RPMS)
+	rm -f $(DEBUGSOURCE_RPMS)
 	rm -f $(PACKAGE)-*.src.tar.gz $(PACKAGE)-*.i386.tar.gz $(PACKAGE)-*.x86_64.tar.gz
 	rm -f $(PACKAGE)-*.src.rpm $(PACKAGE)-*.i386.rpm $(PACKAGE)-*.x86_64.rpm
 	rm -f $(PACKAGE)-debuginfo-*.i386.rpm $(PACKAGE)-debuginfo-*.x86_64.rpm
@@ -124,37 +129,37 @@
 
 tar tars: $(TARS)
 
-$(i386_RPM) $(i386_DEBUG_RPM) $(SRC_RPM): $(SRC_TAR) $(PACKAGE).spec
+$(i386_RPM) $(i386_DEBUG_RPM) $(i386_DEBUGSOURCE_RPM) $(SRC_RPM): $(SRC_TAR) $(PACKAGE).spec
 	@echo "Building i386 RPMs"
-	@rm -rf build
+	@rm -rf build buildroot
+	@mkdir buildroot
 	@mkdir build
-	@rpmbuild -ba --target i386 \
-	          --buildroot "${PWD}/build" \
+	@rpmbuild -v -ba --target i386 \
+	          --buildroot "${PWD}/buildroot" \
 	          --define "_builddir ${PWD}/build" \
 	          --define "_rpmdir ${PWD}" \
 	          --define "_srcrpmdir ${PWD}" \
 	          --define "_sourcedir ${PWD}" \
 	          --define "_specdir ${PWD}" \
-	          --define "__check_files ''" \
 	          --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
 	          $(PACKAGE).spec
-	@rm -rf build
+	@rm -rf build buildroot
 
-$(x86_64_RPM) $(x86_64_DEBUG_RPM): $(SRC_TAR) $(PACKAGE).spec
+$(x86_64_RPM) $(x86_64_DEBUG_RPM) $(x86_64_DEBUGSOURCE_RPM): $(SRC_TAR) $(PACKAGE).spec
 	@echo "Building x86_64 RPMs"
-	@rm -rf build
+	@rm -rf build buildroot
+	@mkdir buildroot
 	@mkdir build
-	@rpmbuild -ba --target x86_64 \
-	          --buildroot "${PWD}/build" \
+	@rpmbuild -v -ba --target x86_64 \
+	          --buildroot "${PWD}/buildroot" \
 	          --define "_builddir ${PWD}/build" \
 	          --define "_rpmdir ${PWD}" \
 	          --define "_srcrpmdir ${PWD}" \
 	          --define "_sourcedir ${PWD}" \
 	          --define "_specdir ${PWD}" \
-	          --define "__check_files ''" \
 	          --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
 	          $(PACKAGE).spec
-	@rm -rf build
+	@rm -rf build buildroot
 
 rpm rpms: $(RPMS)
 
@@ -174,6 +179,12 @@
 	if [ -e $(x86_64_DEBUG_RPM) ]; then  \
 	   mv $(x86_64_DEBUG_RPM) $(REL_DIR); \
 	fi
+	if [ -e $(i386_DEBUGSOURCE_RPM) ]; then   \
+	   mv $(i386_DEBUGSOURCE_RPM) $(REL_DIR); \
+	fi
+	if [ -e $(x86_64_DEBUGSOURCE_RPM) ]; then  \
+	   mv $(x86_64_DEBUGSOURCE_RPM) $(REL_DIR); \
+	fi
 	chmod -w $(REL_DIR)/*
 	cp -f -p $(REL_DIR)/*.tar.gz $(REL_DIR)/*.rpm $(WEB_DIR)
 	rm -f $(PACKAGE).spec

=== debian/changelog ===
cpuid (20200122-1) unstable; urgency=medium

  * New upstream version
  * Switch to the debhelper compat level 12
  * Switch to Build-Depends: debhelper-compat
  * Bump Standards-Version: to 4.5.0

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 26 Jan 2020 21:59:07 +0500

## cpuid 20200127

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20200122
+VERSION=20200127
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20200127-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 01 Feb 2020 15:00:59 +0500

## cpuid 20200211

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 ifneq (,$(findstring arch=i386,$(CFLAGS)))
 CISA=-m32
 endif
-CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -Wextra -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wimplicit-fallthrough -Wunused-parameter -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
+CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -W -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wimplicit-fallthrough -Wunused-parameter -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20200127
+VERSION=20200211
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -32,7 +32,7 @@
 
 OTHER_SRCS=Makefile $(PROG).man cpuinfo2cpuid \
            $(PACKAGE).proto.spec $(PACKAGE).spec \
-           ChangeLog FUTURE LICENSE
+           ChangeLog FUTURE FAMILY.NOTES LICENSE
 OTHER_BINS=$(PROG).man cpuinfo2cpuid.man
 
 REL_DIR=../$(shell date +%Y-%m-%d)
@@ -75,11 +75,22 @@
 
 # Todd's Development rules
 
+OLD_DIR=/tmp/cpuid
+OLD_HOST_i386=hyena
+OLD_HOST_x86_64=iggy
+
+$(PROG).old: cpuid.c Makefile
+	ssh $(OLD_HOST) "rm -rf $(OLD_DIR); mkdir -p $(OLD_DIR)"
+	scp -p $^ $(OLD_HOST):$(OLD_DIR)
+	ssh $(OLD_HOST) "cd $(OLD_DIR); make cpuid"
+	scp -p $(OLD_HOST):$(OLD_DIR)/cpuid $(TARGET)
+	ssh $(OLD_HOST) "rm -rf $(OLD_DIR)"
+
 $(PROG).i386: cpuid.c Makefile
-	$(CC) -m32 -Wl,--hash-style=both $(CFL) $(LDFLAGS) -o $@ cpuid.c
-
+	$(MAKE) -$(MAKEFLAGS) $(PROG).old TARGET=$@ OLD_HOST=$(OLD_HOST_i386)
+	
 $(PROG).x86_64: cpuid.c Makefile
-	$(CC) -m64 $(CFL) $(LDFLAGS) -o $@ cpuid.c
+	$(MAKE) -$(MAKEFLAGS) $(PROG).old TARGET=$@ OLD_HOST=$(OLD_HOST_x86_64)
 
 todd: $(PROG).i386 $(PROG).x86_64
 	rm -f ~/.bin/execs/i586/$(PROG)

=== debian/changelog ===
cpuid (20200211-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 24 Feb 2020 13:16:19 +0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid
 Homepage: http://www.etallen.com/cpuid.html

## cpuid 20200427

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20200211
+VERSION=20200427
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20200427-1) unstable; urgency=medium

  * New upstream version
  * Switch to the debhelper compat level 13

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 19 Jul 2020 22:44:33 +0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid

## cpuid 20201006

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20200427
+VERSION=20201006
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20201006-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 23 Oct 2020 22:19:02 +0500

## cpuid 20211031

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20201006
+VERSION=20211031
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -38,7 +38,7 @@
 REL_DIR=../$(shell date +%Y-%m-%d)
 WEB_DIR=/toad2/apps.mine/www/www/$(PROG)
 
-BUILDROOT=
+BUILDROOT=$(DESTDIR)
 
 default: $(PROG) $(PROG).man.gz cpuinfo2cpuid cpuinfo2cpuid.man.gz

=== debian/changelog ===
cpuid (20211031-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.6.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 04 Nov 2021 23:26:39 +0500

## cpuid 20211114

=== debian/changelog ===
cpuid (20211114-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 16 Nov 2021 21:13:17 +0500

## cpuid 20211121

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20211031
+VERSION=20211121
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20211121-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 25 Nov 2021 17:02:40 +0500

## cpuid 20211210

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20211121
+VERSION=20211210
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20211210-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Jan 2022 17:17:56 +0500

## cpuid 20220224

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20211210
+VERSION=20220224
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -76,7 +76,7 @@
 # Todd's Development rules
 
 OLD_DIR=/tmp/cpuid
-OLD_HOST_i386=hyena
+OLD_HOST_i386=raptor
 OLD_HOST_x86_64=iggy
 
 $(PROG).old: cpuid.c Makefile

=== debian/changelog ===
cpuid (20220224-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 16 Mar 2022 22:42:56 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid
 Homepage: http://www.etallen.com/cpuid.html

## cpuid 20220620

=== debian/changelog ===
cpuid (20220620-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 02 Jul 2022 15:38:50 +0500

## cpuid 20220812

=== debian/changelog ===
cpuid (20220812-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.6.1.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 20 Aug 2022 19:48:38 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid
 Homepage: http://www.etallen.com/cpuid.html

## cpuid 20221003

=== debian/changelog ===
cpuid (20221003-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 23 Oct 2022 17:10:52 +0500

## cpuid 20230120

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 ifneq (,$(findstring arch=i386,$(CFLAGS)))
 CISA=-m32
 endif
-CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -W -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wimplicit-fallthrough -Wunused-parameter -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
+CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -W -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wimplicit-fallthrough -Wunused-parameter -Wundef -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20220224
+VERSION=20230120
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -75,22 +75,11 @@
 
 # Todd's Development rules
 
-OLD_DIR=/tmp/cpuid
-OLD_HOST_i386=raptor
-OLD_HOST_x86_64=iggy
-
-$(PROG).old: cpuid.c Makefile
-	ssh $(OLD_HOST) "rm -rf $(OLD_DIR); mkdir -p $(OLD_DIR)"
-	scp -p $^ $(OLD_HOST):$(OLD_DIR)
-	ssh $(OLD_HOST) "cd $(OLD_DIR); make cpuid"
-	scp -p $(OLD_HOST):$(OLD_DIR)/cpuid $(TARGET)
-	ssh $(OLD_HOST) "rm -rf $(OLD_DIR)"
-
 $(PROG).i386: cpuid.c Makefile
-	$(MAKE) -$(MAKEFLAGS) $(PROG).old TARGET=$@ OLD_HOST=$(OLD_HOST_i386)
+	$(CC) -m32 -static $(CFL) $(LDFLAGS) -o $@ cpuid.c
 	
 $(PROG).x86_64: cpuid.c Makefile
-	$(MAKE) -$(MAKEFLAGS) $(PROG).old TARGET=$@ OLD_HOST=$(OLD_HOST_x86_64)
+	$(CC) -static $(CFL) $(LDFLAGS) -o $@ cpuid.c
 
 todd: $(PROG).i386 $(PROG).x86_64
 	rm -f ~/.bin/execs/i586/$(PROG)

=== debian/changelog ===
cpuid (20230120-1) unstable; urgency=medium

  * New upstream version. 
  * Bump Standards-Version to 4.6.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 11 Feb 2023 20:40:40 +0400

## cpuid 20230505

=== debian/changelog ===
cpuid (20230505-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 12 Jun 2023 21:12:39 +0400

cpuid (20230505-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 25 May 2023 00:52:47 +0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: cpuid
 Section: admin
 Priority: optional
-Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Maintainer: Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid
-Homepage: http://www.etallen.com/cpuid.html
+Homepage: https://www.etallen.com/cpuid.html
 Rules-Requires-Root: no
 
 Package: cpuid

## cpuid 20230614

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20230120
+VERSION=20230614
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20230614-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 16 Jul 2023 13:20:37 +0400

## cpuid 20240330

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20230614
+VERSION=20240330
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20240330-1ubuntu2) noble; urgency=medium

  * Relax build dependency on debhelper.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2024 10:25:12 +0200

cpuid (20240330-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 01 Apr 2024 00:49:00 +0500

cpuid (20240324-2) unstable; urgency=medium

  [ Niels Thykier ]
  * Fix generation of cpuid-dbgsym.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 31 Mar 2024 16:46:55 +0500

cpuid (20240324-1) unstable; urgency=medium

  * New upstream version.
  * Update to X-DH-Compat: 14.
  * Drop outdated debian/NEWS.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 31 Mar 2024 14:33:16 +0500

=== debian/control ===
Source: cpuid
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrey Rakhmatullin <wrar@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-single-binary
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/cpuid.git
Vcs-Browser: https://salsa.debian.org/debian/cpuid
Homepage: https://www.etallen.com/cpuid.html
Rules-Requires-Root: no
X-DH-Compat: 14

Package: cpuid
Architecture: any-i386 any-amd64
Description: tool to dump x86 CPUID information about the CPU(s)
 cpuid dumps detailed information about the CPU(s) gathered from the
 CPUID instruction, and also determines the exact model of CPU(s). It
 supports Intel, AMD, and VIA CPUs, as well as older Transmeta, Cyrix,
 UMC, NexGen, Rise, and SiS CPUs.

## cpuid 20240409

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20240330
+VERSION=20240409
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20240409-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 16 Apr 2024 00:18:00 +0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: cpuid
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrey Rakhmatullin <wrar@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-sequence-single-binary
-Standards-Version: 4.6.2
+Maintainer: Andrey Rakhmatullin <wrar@debian.org>
+Build-Depends: debhelper (>= 13.15.2~), dh-sequence-single-binary
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid
 Homepage: https://www.etallen.com/cpuid.html

## cpuid 20240716

=== debian/changelog ===
cpuid (20240716-1) unstable; urgency=medium

  * New upstream version.
  * Convert to dh-sequence-zz-debputy.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 18 Aug 2024 20:03:17 +0500

## cpuid 20240916

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20240409
+VERSION=20240916
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -45,6 +45,11 @@
 $(PROG): cpuid.c Makefile
 	$(CC) $(CFL) $(LDFLAGS) -o $@ cpuid.c
 
+$(PROG).opt: cpuid.c Makefile
+	$(CC) -O3 $(CFL) $(LDFLAGS) -o $@ cpuid.c
+
+opt: $(PROG).opt
+
 $(PROG).man.gz: $(PROG).man
 	gzip < $< > $@
 
@@ -76,10 +81,10 @@
 # Todd's Development rules
 
 $(PROG).i386: cpuid.c Makefile
-	$(CC) -m32 -static $(CFL) $(LDFLAGS) -o $@ cpuid.c
+	$(CC) -m32 -static -O3 $(CFL) $(LDFLAGS) -o $@ cpuid.c
 	
 $(PROG).x86_64: cpuid.c Makefile
-	$(CC) -static $(CFL) $(LDFLAGS) -o $@ cpuid.c
+	$(CC) -static -O3 $(CFL) $(LDFLAGS) -o $@ cpuid.c
 
 todd: $(PROG).i386 $(PROG).x86_64
 	rm -f ~/.bin/execs/i586/$(PROG)

=== debian/changelog ===
cpuid (20240916-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 06 Oct 2024 14:48:58 +0500

## cpuid 20241023

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,11 @@
 CISA=-m32
 endif
 CFL=$(CPPFLAGS) $(CFLAGS) $(CISA) -Wall -W -Wshadow -Wcast-align -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wimplicit-fallthrough -Wunused-parameter -Wundef -D_FILE_OFFSET_BITS=64 -DVERSION=$(VERSION)
+CFL_OPT=-O3 $(CFL) -Wformat-overflow=2 
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20240916
+VERSION=20241023
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -46,7 +47,7 @@
 	$(CC) $(CFL) $(LDFLAGS) -o $@ cpuid.c
 
 $(PROG).opt: cpuid.c Makefile
-	$(CC) -O3 $(CFL) $(LDFLAGS) -o $@ cpuid.c
+	$(CC) $(CFL_OPT) $(LDFLAGS) -o $@ cpuid.c
 
 opt: $(PROG).opt

=== debian/changelog ===
cpuid (20241023-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 30 Nov 2024 18:47:00 +0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Andrey Rakhmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 13.15.2~), dh-sequence-single-binary
+Build-Depends: debhelper (>= 13.15.2~), dh-sequence-single-binary, dh-sequence-zz-debputy (>= 0.1.48~)
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid

## cpuid 20250316

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20241023
+VERSION=20250316
 RELEASE=1
 
 PROG=$(PACKAGE)
@@ -67,7 +67,7 @@
 	install -D -m 444 cpuinfo2cpuid.man.gz $(BUILDROOT)/usr/share/man/man1/cpuinfo2cpuid.1.gz
 
 clean:
-	rm -f $(PROG) $(PROG).i386 $(PROG).x86_64
+	rm -f $(PROG) $(PROG).opt $(PROG).i386 $(PROG).x86_64
 	rm -f $(PROG).man.gz
 	rm -f cpuinfo2cpuid.man cpuinfo2cpuid.man.gz
 	rm -f $(PACKAGE).spec

=== debian/changelog ===
cpuid (20250316-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.7.2.
  * Drop Rules-Requires-Root.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 29 Mar 2025 16:01:18 +0500

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper (>= 13.15.2~), dh-sequence-single-binary, dh-sequence-zz-debputy (>= 0.1.48~)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid
 Homepage: https://www.etallen.com/cpuid.html
-Rules-Requires-Root: no
 X-DH-Compat: 14
 
 Package: cpuid

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- BUILDROOT=$(CURDIR)/debian/cpuid INSTALL_STRIP=

## cpuid 20250513

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 INSTALL_STRIP=-s
 
 PACKAGE=cpuid
-VERSION=20250316
+VERSION=20250513
 RELEASE=1
 
 PROG=$(PACKAGE)

=== debian/changelog ===
cpuid (20250513-1) unstable; urgency=medium

  * New upstream version.
  * Stop building on any-i386.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 09 Aug 2025 15:27:01 +0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 X-DH-Compat: 14
 
 Package: cpuid
-Architecture: any-i386 any-amd64
+Architecture: any-amd64
 Description: tool to dump x86 CPUID information about the CPU(s)
  cpuid dumps detailed information about the CPU(s) gathered from the
  CPUID instruction, and also determines the exact model of CPU(s). It

## cpuid 20260220

=== debian/changelog ===
cpuid (20260220-1) unstable; urgency=medium

  * New upstream version.
  * Drop Priority.
  * Bump Standards-Version to 4.7.3.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 22 Feb 2026 16:48:50 +0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cpuid
 Section: admin
-Priority: optional
 Maintainer: Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper (>= 13.15.2~), dh-sequence-single-binary, dh-sequence-zz-debputy (>= 0.1.48~)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/cpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/cpuid
 Homepage: https://www.etallen.com/cpuid.html
